function [static,sig_a,sig_m] = design_loads_yield(fact_perm,fact_env,d,t,ts,var,oo,ang,theta)

A =  (pi./4) * (d^2 - (d-2*t)^2); % m^2
I = (pi/64)*(d^4 - (d-2*t)^4); % m^4
W_elastic = (I*2) / d; % m^3
Z_plastic = (d^3 - (d-2*t)^3)/6;




%% Static results 

load('worst_sea_state_static/2016-11-24_13-48-31.mat');
% Compression 
static.Nx_mean =  ls.ts.tower_base_X_force.stat.mean *...
    ones(1,length(ts.(var)(oo).ls.ts.tower_base_X_force.y))';
%static.N_max = ls.ts.tower_base_X_force.stat.max;
% Bending 
static.My_mean =  ls.ts.tower_base_Y_moment.stat.mean.*...
    ones(1,length(ts.(var)(oo).ls.ts.tower_base_X_force.y))';
%static.My = ls.ts.tower_base_Y_moment.y;
%static.My_max = max(static.My);
static.Mz_mean = ls.ts.tower_base_Z_moment.stat.mean.*...
    ones(1,length(ts.(var)(oo).ls.ts.tower_base_X_force.y))';
%static.Mz_max = max(static.Mz);

for f = 1:length(fact_perm)
    % tower axial
    sig_a(:,f) = (fact_perm(f).* static.Nx_mean + fact_env(f).*...
        ( ts.(var)(oo).ls.ts.tower_base_X_force.y - static.Nx_mean ) )./A; %Pa
    % bending
    M1(:,f) = (fact_perm(f).* static.Mz_mean +  fact_env(f).*...
        ( ts.(var)(oo).ls.ts.tower_base_Z_moment.y - static.Mz_mean ) )./W_elastic; %Pa

    M2(:,f) = (fact_perm(f).* static.My_mean +  fact_env(f).*...
        ( ts.(var)(oo).ls.ts.tower_base_Y_moment.y - static.My_mean ) )./W_elastic; %Pa


    sig_m(:,f) = M1(:,f).*cos(theta(ang)) + M2(:,f).*sin(theta(ang)); % Pa around the circle
end

if max(sig_a(:,1)) > max(sig_a(:,2))
    sig_a = sig_a(:,1);
else
    sig_a = sig_a(:,2);
end

if max(sig_m(:,1)) > max(sig_m(:,2))
    sig_m = sig_m(:,1);
else
    sig_m = sig_m(:,2);
end

end