function [res] = comp_reg_waves_morison(var)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

% Generate sea state:
% Set limits for interval of consideration
global par tt
k.reg_wave = [1;10;24;108;152];
k.reg_wave_plate = [6];

for j = length(var)
    temp = tt.(var{j});
    for i = 1:length(k.(var{j}))
        temp = tt.(var{j})(k.(var{j})(i)).ls;

        x = 0.005*[1:length(temp.ts.sea_elevation.y)];
        y = temp.ts.sea_elevation.y;
        x = x(0.2*length(x):0.8*length(x));
        y = y(0.2*length(y):0.8*length(y));

        % Establish the full scale Tp and Hs from experiment
        D = [x' y];
        [Periods, Heights] = ModifiedMZeroCross(D); %Calculates zero upcrossing time
        %               D = Matrix with two colums.
        %               First colum is Time.
        %               Second column is the elevation. 
        Hs_mod = mean(Heights);
        res.prop.(var{j}).Hs_full(i) = Hs_mod * par.scale;
        Tp_mod = mean(Periods);
        res.prop.(var{j}).Tp_full(i) = Tp_mod *sqrt(par.scale);
    end
    
end

% I change the last period 8.76 to 9.8
%% Generate plots
input.reg_wave = {'2016-09-08_12-32-28.mat';...
    '2016-09-08_13-03-05.mat'; '2016-09-08_13-33-48.mat'; '2016-09-08_14-35-09.mat';...
    '2016-09-08_15-05-18.mat'; '2016-09-08_15-36-46.mat';};
input.reg_wave_plate = {'2016-09-08_19-07-05.mat'; }; 
cd('reg_old\')
var_exp = {'nacelle_heave_acc_1';'nacelle_heave_acc_2';};
var_num = {'tower_top_heave_acc';};
pic_source.reg_wave = {'regular_wave_case1';...
    'regular_wave_case2';...
    'regular_wave_case3';...
    'regular_wave_case4';...
    'regular_wave_case5';...
    'regular_wave_sea_case1';...
    'regular_wave_sea_case2';...
    'regular_wave_sea_case3';...
    'regular_wave_sea_case4';...
    'regular_wave_sea_case5';...
    'regular_wave_heave_case1';...
    'regular_wave_heave_case2';...
    'regular_wave_heave_case3';...
    'regular_wave_heave_case4';...
    'regular_wave_heave_case5';};
pic_source.reg_wave_plate = {'regular_wave_plate_case1';...
    'regular_wave_plate_sea_case1';...
    'regular_wave_plate_heave_case1';};
add.reg_wave = [5.9; -9.2; +3.1; +6; -1.5;]; %Phase shift for comparison 
add.reg_wave_plate = [6.8; -0.8; -0.7; +4.8; +4.6; +4.3;-7.3;+1.3;+2.8;]; %Phase shift for comparison 

%fid = fopen('C:/Users/Marius/Dropbox/Master_thesis/doc/appendix-c.tex','w');
%fprintf(fid,'\\chapter{Appendix C}\n');
time= [-2.9,0.7,3.5,4.72,2.8];
time2= [-1.3,4.6,-2,1,4.6];

for j = 1: length(var)
    for i = 1:length(k.(var{j}))
        temp = tt.(var{j})(k.(var{j})(i)).ls;
        ls2 = load(input.(var{j}){i}); % time step 0.1

        limits2 = [100,150];
        
        elevation3 = temp.ts.sea_elevation.y(limits2(1)/(par.dt(1)*sqrt(par.scale)):end);
        [c,index3] = min(abs(elevation3));
        limits.lpt = [index3 + limits2(1)/(par.dt(1)*sqrt(par.scale)); ...
            index3 + limits2(2)/(par.dt(1)*sqrt(par.scale))];
        
        var_1 = temp.ts.(var_exp{1});
        var_2 = temp.ts.(var_exp{2});
        %var_3 = ls1.ls.ts.(var_num{1});
        var_4 = ls2.ls.ts.(var_num{1});
        

        x1 = par.dt(1)*([1:length(var_1.y)])*sqrt(par.scale);
        y1 = (var_1.y + var_2.y)/2;

       % x2 = par.dt(2) * [1:length(var_3.y)];
        %y2 = var_3.y;

        x3 = par.dt(3) * [1:length(var_4.y)] ;
        y3 = var_4.y;
        
        
        idx = index3 *(par.dt(1)*sqrt(par.scale));
        lim1 = [limits.lpt(1)+time(i)/(par.dt(1)*sqrt(par.scale)),...
            limits.lpt(2)+time(i)/(par.dt(1)*sqrt(par.scale)),...
        ...
        (limits2(1) + idx-time2(i))/par.dt(2), (limits2(2)+ idx-time2(i))/par.dt(2),...
        ...
        (limits2(1) + idx-time2(i))/par.dt(3), (limits2(2)+ idx-time2(i))/par.dt(3)];
        
        y1 = y1(lim1(1):lim1(2));
        %y2 = y2(lim1(3):lim1(4));
        y3 = y3(lim1(5):lim1(6));
        
        lim2 = [limits.lpt(1),limits.lpt(2),...
        ...
        (limits2(1) + idx)/par.dt(2), (limits2(2)+ idx)/par.dt(2),...
        ...
        (limits2(1) + idx)/par.dt(3), (limits2(2)+ idx)/par.dt(3)];
        
        x1 = x1(lim2(1):lim2(2));
        %x2 = x2(lim2(3):lim2(4));
        x3 = x3(lim2(5):lim2(6));
        
        
        if max(y3) > max(y1)
            lim4 = max(y3)*1.8;
        else
            lim4 = max(y1)*1.8;
        end
        if min(y3) < min(y1)
            lim3 = min(y3)*1.2; 
        else
            lim3 = min(y1)*1.2; 
        end
        cd('C:\Users\Marius\Dropbox\Master_thesis\doc\fig\comparison\reg_wave_morisons_old')
        
        
        fig = figure(i);
        plot(x1,y1);
        hold on
        plot(x3,y3);
        legend({'Experimental', 'Numerical Morison'},...
            'Position',[0.70634304131888 0.780130207314999 0.196528561099513 0.133203121924307],...
            'FontSize',7);
        xlabel('Time [s]')
        ylabel(sprintf('Heave \n accceleration [m/s^2]'))
        xlim([x3(1) x3(end)])
        ylim([lim3 lim4])

        x0=5;
        y0=5;
        width=500;
        height=150;
        set(gcf,'units','points','position',[x0,y0,width,height])
        hgexport(gcf,pic_source.(var{j}){i}, hgexport('factorystyle'), 'Format', 'eps');
        hold off
        
        val = time2(i)/(par.dt(1)*sqrt(par.scale));
        y1 = par.scale * temp.ts.sea_elevation.y(lim1(1)-val:lim1(2)-val); 
        %y2 = ls1.ls.ts.wave_eta_origin.y(lim1(3):lim1(4));
        y3 = ls2.ls.ts.wave_eta_origin.y(lim1(5):lim1(6));
        
        if max(y3) > max(y1)
            lim4 = max(y3)*1.8;
        else
            lim4 = max(y1)*1.8;
        end
        if min(y3) < min(y1)
            lim3 = min(y3)*1.2; 
        else
            lim3 = min(y1)*1.2; 
        end
        
        fig = figure(30+i);
        plot(x1,y1);
        hold on
        plot(x3,y3);
        legend({'Experimental', 'Numerical Morison'},...
            'Position',[0.70634304131888 0.780130207314999 0.196528561099513 0.133203121924307],...
            'FontSize',7);
        xlim([x3(1) x3(end)])
        ylim([lim3 lim4])
        xlabel('Time [s]')
        ylabel('Sea elevation [m]') 
        
        x0=100;
        y0=100;
        width=500;
        height=150;
        set(gcf,'units','points','position',[x0,y0,width,height])
        hgexport(gcf,pic_source.(var{j}){i+length(k.(var{j}))+length(k.(var{j}))}, hgexport('factorystyle'), 'Format', 'eps');
        hold off
        
        %fprintf(fid,'\\begin{figure}\n\\centering\n\\includegraphics{fig/comparison/%s.eps}\n\\end{figure} \n',...
        %    pic_source.(var{j}){i});
        
        y1 = temp.ts.nacelle_heave_pos.y(lim1(1):lim1(2))*par.scale; 
        %y2 = ls1.ls.ts.column_base_heave_pos.y(lim1(3):lim1(4));
        y3 = ls2.ls.ts.column_base_heave_pos.y(lim1(5):lim1(6))+0.7320;
        
        if max(y3) > max(y1)
            lim4 = max(y3)*1.8;
        else
            lim4 = max(y1)*1.8;
        end
        if min(y3) < min(y1)
            lim3 = min(y3)*1.2; 
        else
            lim3 = min(y1)*1.2; 
        end
        
        y1 = fix(y1*1e4)/1e4;
        
        h=1;
        for ii = 2:numel(y1)-1
            if ii > numel(y1)
                break;
            else
                if eq(y1(ii),y1(ii-1))
                    y_eq(h) = ii;
                    h=h+1;
                else
                end
            end
        end
        y1(y_eq) = [];
        x1(y_eq) = [];
        
        xx = x1(1):0.05:x1(end);
        yy = spline(x1,y1,xx);
        
        fig = figure(10+i);
        plot(x1,y1);
        hold on
        plot(x3,y3);
        legend({'Experimental', 'Numerical Morison'},...
            'Position',[0.70634304131888 0.780130207314999 0.196528561099513 0.133203121924307],...
            'FontSize',7);
        xlabel('Time [s]')
        ylabel('Heave displacement [m]')
        xlim([x3(1) x3(end)])
        ylim([lim3 lim4])

        x0=500;
        y0=500;
        width=500;
        height=150;
        set(gcf,'units','points','position',[x0,y0,width,height])
        hgexport(gcf,pic_source.(var{j}){i+length(k.(var{j}))}, hgexport('factorystyle'), 'Format', 'eps');
        hold off
        
        %fprintf(fid,'\\begin{figure}\n\\centering\n\\includegraphics{fig/comparison/%s.eps}\n\\end{figure}\n',...
        %    pic_source.(var{j}){i+length(k.(var{j}))});
        
        cd('C:\Users\Marius\Dropbox\Master_thesis\Matlab_scripts\comparisons\regular_wave_tests\reg_old');

    end
end

cd('C:\Users\Marius\Dropbox\Master_thesis\Matlab_scripts\comparisons\regular_wave_tests');
%fclose(fid);

end

