function [res, prop_output,exp_sorted] = create_rao(rao_var)

%addpath(genpath('C:\Users\Marius\Dropbox\Windturbines\matlab_code_erin'));

global tt par

basepath = 'C:\Users\Marius\Dropbox\Master_thesis\doc\fig\comparison\rao';

for i = 1:length(tt.reg_wave)
    temp = tt.reg_wave(i).ls;

    x = 0.005*[1:length(temp.ts.sea_elevation.y)];
    y = temp.ts.sea_elevation.y;
    x = x(0.2*length(x):0.8*length(x));
    y = y(0.2*length(y):0.8*length(y));

    % Establish the full scale Tp and Hs from experiment
    D = [x' y];
    [Periods, Heights] = ModifiedMZeroCross(D); %Calculates zero upcrossing time
    %               D = Matrix with two colums.
    %               First colum is Time.
    %               Second column is the elevation. 
    Hs_mod = mean(Heights);
    res.prop.Hs_full(i) = Hs_mod * par.scale;
    Tp_mod = mean(Periods);
    res.prop.Tp_full(i) = Tp_mod *sqrt(par.scale);
end

prop_output =  [res.prop.Hs_full' res.prop.Tp_full'];
[a,b] = sort(prop_output(:,1));
prop_output = [prop_output(b,1) , prop_output(b,2)];

arrays= struct2cell(tt.reg_wave)';
exp_sorted = arrays(b,1);  

for i = 1:length(rao_var)
    z_1 = 0;
    yh_1 = 0;
    yp_1 = 0;
    z_2 = 0;
    yh_2 = 0;
    
    if strcmp(rao_var{i},'1m')
        %k = [20;25;21;22;23;19;15;18;29;10;17;14]; % ls: 17, 19,20,21,22,24
        k = [11,13,15,16,17,18,21,23,24,25,26,27,...
            28,30,31]; % ls: 17, 19,20,21,22,24
        cd('rao_1m');
    elseif strcmp(rao_var{i},'2m')
        %k = [108;113;111;117;102;110]; % ls +25: 19,20, 21,22,23,24
        k = [108;113;111;102;109;107;105;104;101;99;114;115;95;98;96;122]; % ls +25: 19,20, 21,22,23,24
        cd('rao_2m');
    elseif strcmp(rao_var{i},'3m')
        %k = [151;150;152]; % ls +50:23,24
        k = [147,153,155]; % ls +50:23,24
        cd('rao_3m');
    elseif strcmp(rao_var{i},'4m')
        %k = [159;]; % ls +75:23
        k = [159;]; % ls +75:23
        cd('rao_4m');
    end

    folder = dir;
    folder(1:2) = [];

    for j = 1:length(folder)
        load(folder(j).name);
        temp1 = ls.ts.wave_eta_base.y(0.2*length(ls.ts.wave_eta_base.y)...
            :0.8*length(ls.ts.wave_eta_base.y));
        temp2 =ls.ts.column_base_heave_pos.y(0.2*length(ls.ts.column_base_heave_pos.y)...
            :0.8*length(ls.ts.column_base_heave_pos.y));
        
        [Maxima1,MaxIdx1] = findpeaks(temp1);
        DataInv1 = 1.01*max(temp1) - temp1;
        [Minima1,MinIdx1] = findpeaks(DataInv1);
        Minima1 = temp1(MinIdx1);
        num_waveheight = (-mean(Minima1)+mean(Maxima1))/2;
        
        [Maxima1,MaxIdx1] = findpeaks(temp2);
        DataInv1 = 1.01*max(temp2) - temp2;
        [Minima1,MinIdx1] = findpeaks(DataInv1);
        Minima1 = temp2(MinIdx1);
        num_heave = (-mean(Minima1)+mean(Maxima1))/2;
        
        z_1(j) = ls.prop.environment_sea_tp;
        yh_1(j) = num_heave / num_waveheight;
    end
    [z_1, b] = sort(z_1);
    yh_1 = yh_1(1,b);


    fig = figure(9+i);
    plot(z_1,yh_1,'o');
    hold on
    
    for j = 1:length(k)
        temp = exp_sorted{k(j),1};
        temp1 = temp.ts.sea_elevation.y(0.4*length(temp.ts.sea_elevation.y)...
            :0.7*length(temp.ts.sea_elevation.y));
        temp2 =temp.ts.nacelle_heave_pos.y(0.8*length(temp.ts.nacelle_heave_pos.y)...
            :0.85*length(temp.ts.nacelle_heave_pos.y));
        
        [Maxima1,MaxIdx1] = findpeaks(temp1);
        DataInv1 = 1.01*max(temp1) - temp1;
        [Minima1,MinIdx1] = findpeaks(DataInv1);
        Minima1 = temp1(MinIdx1);
        exp_waveheight = (-mean(Minima1)+mean(Maxima1))/2;
        
        [Maxima1,MaxIdx1] = findpeaks(temp2);
        DataInv1 = 1.01*max(temp2) - temp2;
        [Minima1,MinIdx1] = findpeaks(DataInv1);
        Minima1 = temp2(MinIdx1);
        exp_heave = (-mean(Minima1)+mean(Maxima1))/2;
        
%         [a b] = findpeaks(temp1,'MinPeakHeight',0.7*max(temp1(temp1<max(temp1))) );
%         exp_waveheight = mean(a);
%         [a b] = findpeaks(temp2,'MinPeakHeight',0.7*max(temp2(temp2<max(temp2))) );
%         exp_heave = mean(a);

        z_2(j) = prop_output(k(j),2);
        yh_2(j) = exp_heave/exp_waveheight;
    end

    y_reg = [1.2573/1.69;0.8629/1.118;2.229/3.128 ; 4.751/6.2;2.0432/2.35];
    x_reg = [10; 14.5;10.5 ; 9; 9 ];
    plot(z_2,yh_2,'o');
    hold on
    plot(x_reg,y_reg,'o')
    legend({'Numerical points','Experimental points','Regular wave case (exp) points'},...
        'Position',[0.559884650598923 0.807117190268123 0.341365349401076 0.112882809731877],...
        'FontSize',7);
    xlim([1 16])
    ylim([0 1.5])
    xlabel('T [s]')
    ylabel('\eta_3 / \zeta_a')
    
    
    step = sprintf('%d', i);
    loc = fullfile(basepath, ['rao_h' step] );
    x0=5;
    y0=5;
    width=400;
    height=250;
    set(gcf,'units','points','position',[x0,y0,width,height]);
    hgexport(gcf,loc, hgexport('factorystyle'), 'Format', 'eps');
    hold off
    cd ('../')
end

hold off


    

end