function [per_osc, max_wave, acc_1, acc_2, eta1, eta2, eta_heave1, theta, surface] = read_regular_waves_ls(dirr,time_inst,str,h)

% Created by Marius Berg Maastad
% Reads regular wave results
 cd(dirr)
    
%%
matrix = load(str,'-ascii');
num_waves = 50;
t_stop = 179 * 200;
k = 0;
j= 1;
l = 0.155;

cd('C:\Users\Marius\Dropbox\Sommerjobb_2016_FO\Modellforsok\Read_results')

%%
time = matrix((time_inst(h,1):time_inst(h,2)),1);
acc_1 = matrix((time_inst(h,1):time_inst(h,2)),2);
acc_2 = matrix((time_inst(h,1):time_inst(h,2)),3);
surface = matrix((time_inst(h,1):time_inst(h,2)),5);

%% filter
acc_1 = acc_1 - mean(acc_1);
acc_2 = acc_2 - mean(acc_2);

%% Establish the period of oscillation
eta1 = acc2disple(acc_1,time);
eta2 = acc2disple(acc_2,time);

%% Establish the heave amplitude

eta_heave1 = (eta1 + eta2) / 2;

%% Establish the pitch amplitude
theta = zeros(length(eta1),1);
    for u = 1:length(eta2)
        if (eta1(u,1) == eta2(u,1))
            theta = 0;
        else
            theta(u,1) = -atand((eta2(u,1)-eta1(u,1))/l);
        end
    end
    
 %% Establish wave period
            [max_amp, b] = max(surface);

            [peaks time_peaks] = findpeaks(surface(b:end));

            act_peaks = find (peaks > 0.2 * max_amp);

            a = time_peaks(act_peaks);

                for l = 1:length(a)-1
                    t11 = time(a(l));
                    t21 = time(a(l+1));
                    per_osc_temp(l) = t21 - t11;
                end

            per_osc = mean(per_osc_temp);

            max_wave = mean(peaks(act_peaks));   
           
end