% Read heave linear     decay values from model tests


% Created by Marius Berg Maastad
clear all 
close all
clc
%str = {'heave_decay_linear/2000.ASC';'heave_decay_linear/2001.ASC';'heave_decay_linear/2002.ASC';'heave_decay_linear/2003.ASC';'heave_decay_linear/2004.ASC';};
str = {'heave_decay_linear/2000.ASC';};
%str = {'With_added_mass_item/heave_lin/8000.ASC';'With_added_mass_item/heave_lin/8001.ASC';};
nat_per = zeros(length(str),1);

for i = 1: length(str)
    a=0;
    b=0;

    matrix = load(str{i},'-ascii');
    
    time = matrix(:,1);
    acc_1 = -1 * matrix(:,2);
    acc_2 = -1 * matrix(:,3);
    flap_pos = matrix(:,4);
    wave_amp = matrix(:,5);
    wave_trigger = matrix(:,6);
    
    acc_1 = acc_1 - mean(acc_1);
    acc_2 = acc_2 - mean(acc_2);
 

    %% Establish the period of oscillation
    eta1 = acc2disple(acc_1,time);
    eta2 = acc2disple(acc_2,time);

    %% Establish the heave amplitude
    
    eta_heave1 = (eta1 + eta2) / 2;

    %% Establish natural period
    [max_heave, b] = max(eta_heave1);
    
    [peaks time_peaks] = findpeaks(eta_heave1(b:end));
    
    act_peaks = find (peaks > 0);
    
    a = time_peaks(act_peaks);
    
    for j = 1:length(a(1:numel(a)))-1
        t11 = time(a(j));
        t21 = time(a(j+1));
        nat_per_temp(j) = t21 - t11;
    end
    
    nat_per(i,1) = mean(nat_per_temp);
    
    %% Establish plot
    time2 = 0.005 *((1:1:length(eta_heave1((b:end)))'));
    plot(time2*sqrt(74),eta_heave1(b:end))
    hold on
    title( 'Heave decay - Linear excitations - With element')
    xlabel('Time from when the has oscillated half of a cycle from release')
    ylabel('[m]');
    hold on
end
%hgexport(gcf, 'C:/Users/Marius/Dropbox/Thesis/fig/Heave_decay/heave_decay_linear.eps', hgexport('factorystyle'), 'Format', 'eps');
%hgexport(gcf, 'C:/Users/Marius/Dropbox/Thesis/fig/Heave_decay/heave_decay_linear_with_element.eps', hgexport('factorystyle'), 'Format', 'eps');